## org.apache.batik.dom.events
Class DocumentEventSupport.MutationNameEventFactory

    java.lang.Object
      org.apache.batik.dom.events.DocumentEventSupport.MutationNameEventFactory

All Implemented Interfaces:
  DocumentEventSupport.EventFactory

Enclosing class:
  DocumentEventSupport

    protected static class DocumentEventSupport.MutationNameEventFactory

extends java.lang.Object
implements DocumentEventSupport.EventFactory

To create a mutation name event.

Constructor Summary
`protected` `DocumentEventSupport.MutationNameEventFactory()`

Method Summary
`Event` `createEvent()` Creates a new Event object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEventSupport.MutationNameEventFactory

    protected DocumentEventSupport.MutationNameEventFactory()

Method Detail

### createEvent

    public Event createEvent()

  Creates a new Event object.

  Specified by:
    `createEvent` in interface `DocumentEventSupport.EventFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.